---
title: TouchEvent.targetTouches
slug: Web/API/TouchEvent/targetTouches
tags:
  - API
  - DOM
  - DOM Reference
  - Mobile
  - Property
  - Read-only
  - Reference
  - TouchEvent
  - touch
---
<p>{{ APIRef("Touch Events") }}</p>

<p>The <code><strong>targetTouches</strong></code> read-only property is a {{ domxref("TouchList") }} listing all the {{ domxref("Touch") }} objects for touch points that are still in contact with the touch surface <strong>and</strong> whose {{event("touchstart")}} event occurred inside the same target {{ domxref("element") }} as the current target element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">var <em>touches</em> = <em>touchEvent</em>.targetTouches;
</pre>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code>touches</code></dt>
 <dd>A {{ domxref("TouchList") }} listing all the {{ domxref("Touch") }} objects for touch points that are still in contact with the touch surface <strong>and</strong> whose <code>touchstart</code> event occurred inside the same target {{ domxref("element") }} as the current target element.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example illustrates the {{domxref("TouchEvent")}} object's {{domxref("TouchEvent.targetTouches")}} property. The {{domxref("TouchEvent.targetTouches")}} property is a {{domxref("TouchList")}} object that includes those TPs that are currently touching the surface <em>and</em> started on the element that is the target of the current event. As such, the <code>targetTouches</code> list is a strict subset of the <code>touches</code> list.</p>

<p>In following code snippet, the function compares the length of the <code>touches</code> list to the length of the <code>targetTouches</code> list and returns <code>true</code> if the lengths are the same and returns <code>false</code> otherwise.</p>

<pre class="brush: js">function touches_in_target(ev) {
  // Return true if all of the touches are within the target element;
  // otherwise return false.
  return (ev.touches.length == ev.targetTouches.length ? true : false);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touchevent-targettouches')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events','#widl-TouchEvent-targetTouches')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TouchEvent.targetTouches")}}</p>
